org.multiverse.api.collections

## Interface TxnCollectionsFactory

All Known Implementing Classes:
  NaiveTxnCollectionFactory

    public interface TxnCollectionsFactory

A factory responsible for creating Transactional collections.

### Method Summary

Methods
`Stm` `getStm()`
`<E> TxnDeque<E>` `newDeque()`
`<E> TxnDeque<E>` `newDeque(int capacity)`
`<K,V> TxnMap<K,V>` `newHashMap()`
`<E> TxnSet<E>` `newHashSet()`
`<E> TxnList<E>` `newLinkedList()`
`<E> TxnQueue<E>` `newQueue()`
`<E> TxnQueue<E>` `newQueue(int capacity)`
`<E> TxnStack<E>` `newStack()`
`<E> TxnStack<E>` `newStack(int capacity)`

### Method Detail

#### getStm

    Stm getStm()

#### newStack

    <E> TxnStack<E> newStack()

#### newStack

    <E> TxnStack<E> newStack(int capacity)

#### newQueue

    <E> TxnQueue<E> newQueue()

#### newQueue

    <E> TxnQueue<E> newQueue(int capacity)

#### newDeque

    <E> TxnDeque<E> newDeque()

#### newDeque

    <E> TxnDeque<E> newDeque(int capacity)

#### newHashSet

    <E> TxnSet<E> newHashSet()

#### newHashMap

    <K,V> TxnMap<K,V> newHashMap()

#### newLinkedList

    <E> TxnList<E> newLinkedList()